org.apache.commons.compress.harmony.pack200

## Class Segment.SegmentAnnotationVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.commons.compress.harmony.pack200.Segment.SegmentAnnotationVisitor

- Enclosing class:
    Segment

      public class Segment.SegmentAnnotationVisitor
      extends org.objectweb.asm.AnnotationVisitor

  SegmentAnnotationVisitor implements `AnnotationVisitor` to visit Annotations found in a class file.

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.AnnotationVisitor

      `api, av`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SegmentAnnotationVisitor(int context)`
    `SegmentAnnotationVisitor(int context, int parameter, String desc, boolean visible)`
    `SegmentAnnotationVisitor(int context, String desc, boolean visible)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(String name, Object value)`
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(String name, String desc)`
    `org.objectweb.asm.AnnotationVisitor` | `visitArray(String name)`
    `void` | `visitEnd()`
    `void` | `visitEnum(String name, String desc, String value)`

    - ### Methods inherited from class org.objectweb.asm.AnnotationVisitor

      `getDelegate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SegmentAnnotationVisitor

          public SegmentAnnotationVisitor(int context)

    - #### SegmentAnnotationVisitor

          public SegmentAnnotationVisitor(int context,
                                          int parameter,
                                          String desc,
                                          boolean visible)

    - #### SegmentAnnotationVisitor

          public SegmentAnnotationVisitor(int context,
                                          String desc,
                                          boolean visible)

  - ### Method Detail

    - #### visit

          public void visit(String name,
                            Object value)

      Overrides:
        `visit` in class `org.objectweb.asm.AnnotationVisitor`

    - #### visitAnnotation

          public org.objectweb.asm.AnnotationVisitor visitAnnotation(String name,
                                                                     String desc)

      Overrides:
        `visitAnnotation` in class `org.objectweb.asm.AnnotationVisitor`

    - #### visitArray

          public org.objectweb.asm.AnnotationVisitor visitArray(String name)

      Overrides:
        `visitArray` in class `org.objectweb.asm.AnnotationVisitor`

    - #### visitEnd

          public void visitEnd()

      Overrides:
        `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`

    - #### visitEnum

          public void visitEnum(String name,
                                String desc,
                                String value)

      Overrides:
        `visitEnum` in class `org.objectweb.asm.AnnotationVisitor`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.